#### D.4.8.4 computeConstant

Procedure from library `ellipticcovers.lib` (see ellipticcovers_lib).

Usage:
  computeConstant(f,x); f number, x number

Assume:
  f is a number in a rational function field, x is a variable of the field.

Return:
  number, the constant coefficient of the Laurent series of f in the variable x.

Theory:
  Computes the constant coefficient of the Laurent series by iterative differentiation.

Example:

    LIB "ellipticcovers.lib";
    ring R=(0,x1,x2,x3,x4),(q1,q2,q3,q4,q5,q6),dp;
    graph G = makeGraph(list(1,2,3,4),list(list(1,3),list(1,2),list(1,2),list(2,4),list(3,4),list(3,4)));
    number P = propagator(G,list(1,1,1,0,0,0));
    computeConstant(P,x2);
    ==> (2*x1^6*x3^2+2*x1^2*x3^6)/(x3^8-4*x3^6*x4^2+6*x3^4*x4^4-4*x3^2*x4^6+x4^8)

User manual for Singular version 4.4.1, 2025, generated by texi2html.